import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { AverageDirectionalIndexIndicator } from "./AverageDirectionalIndexIndicator";
/**
 * Represents a IgxDataChartComponent Average Directional indicator series.
 * Default required members: High, Low, Close
*/
export class IgrAverageDirectionalIndexIndicator extends IgrStrategyBasedIndicator {
    createImplementation() {
        return new AverageDirectionalIndexIndicator();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the moving average period for the current AverageDirectionalIndexIndicator object.
     * The typical, and initial, value for AverageDirectionalIndexIndicator periods is 14.
    */
    get period() {
        return this.i.ql;
    }
    set period(v) {
        this.i.ql = +v;
    }
}
